=== share/shaders/self-shadowing/Makefile ===
all: depth_map.vert.spv

depth_map.vert.spv: depth_map.vert
	glslc -O -g -c depth_map.vert
