=== share/shaders/transparency/Makefile ===
all: resolve.comp.spv

resolve.comp.spv: resolve.comp ppll.glsl
	glslc -O -g -c resolve.comp
